GRFCV3D(4)

NAME
grfcv3d - 8/15/16/24/32-bit color graphics driver

SYNOPSIS
grfcv3d0 at zbus0
grf7 at grfcv3d0
ite7 at grf7
wsdisplay* at grf7

DESCRIPTION
The grfcv3d device driver supports graphics boards with the S3 Virge chipset. It supports the minimal ioctl's needed to run X11.

HARDWARE
The grfcv3d interface supports the following ZorroII/III expansion card:

CyberVision 64/3D
    A Zorro II/III card. From phase5, manufacturer 8512, product 67.

FILES
/dev/grf7
    graphics interface special file
/dev/ttye7
    console interface special file for the internal terminal emulator

SEE ALSO
amiga/console(4), amiga/grfcv(4), amiga/ite(4), amiga/grfconfig(8)

HISTORY
The grfcv3d interface first appeared in NetBSD 1.3. It was modified for NetBSD 6.0 to support wsdisplay(4) interface.

AUTHORS
-nosplit The grfcv3d driver was written by Tobias Abt based on amiga/grfcv(4) driver. Bernd Ernesti. fixed multiple bugs and later maintained the driver. The wsdisplay(4) interface was added by Frank Wille and Radoslaw Kujawa.

BUGS
grfcv3d does not support the sync-on-green flag from amiga/grfconfig(8).

The wsdisplay(4) interface does not support all functionality provided by the driver and it can not be used at the same time as amiga/ite(4). X11 is not supported with wsdisplay(4). It needs more testing.